Changeset 2673


Ignore:
Timestamp:
Dec 1, 2012 2:46:27 PM (7 years ago)
Author:
stefan
Message:

rerun autotools

File:
1 edited

Legend:

Unmodified
Added
Removed
  • ThirdParty/Lapack/trunk/configure

    r2664 r2673  
    10871087                          icl/link). Default when mentioned: mingw. Default
    10881088                          when not mentioned: disabled.
    1089   --enable-static-standardlibs
    1090                           whether to link against static standard libraries
    1091                           (libgcc, libgfortran, libstdc++)
    10921089  --disable-pkg-config    disable use of pkg-config (if available)
    10931090  --disable-interpackage-dependencies
     
    19441941
    19451942
    1946 # check whether to add flags for static linking against standard libraries
    1947 # Check whether --enable-static-standardlibs or --disable-static-standardlibs was given.
    1948 if test "${enable_static_standardlibs+set}" = set; then
    1949   enableval="$enable_static_standardlibs"
    1950   case "$enableval" in
    1951      no | yes | auto ) ;;
    1952      *)
    1953        { { echo "$as_me:$LINENO: error: invalid argument for --enable-static-standardlibs: $enableval" >&5
    1954 echo "$as_me: error: invalid argument for --enable-static-standardlibs: $enableval" >&2;}
    1955    { (exit 1); exit 1; }; } ;;
    1956    esac
    1957    use_static_standardlibs=$enableval
    1958 else
    1959   if test $enable_shared = yes ; then
    1960      use_static_standardlibs = no
    1961    else
    1962      use_static_standardlibs = auto
    1963    fi
    1964 
    1965 
    1966 fi;
    1967 
    1968 
    1969 
    1970 
    1971 
    19721943
    19731944ac_ext=c
     
    30933064    CFLAGS="$OPT_CFLAGS"
    30943065  fi
    3095 
    30963066else
    30973067  CFLAGS="$CFLAGS $ADD_CFLAGS $CDEFS"
     
    32623232esac
    32633233
    3264 # check whether to add flags for static linking against standard libraries to LDFLAGS
    3265 if test x$use_static_standardlibs != xno ; then
    3266   case $build in
    3267     *-mingw*)
    3268       static_standardlib_flag=-static
    3269       ;;
    3270     *)
    3271       static_standardlib_flag=-static-libgcc
    3272       ;;
    3273   esac
    3274   case " $LDFLAGS " in
    3275     *" $static_standardlib_flag "* ) ;;
    3276     *)
    3277     echo "$as_me:$LINENO: checking whether linking with $static_standardlib_flag works" >&5
    3278 echo $ECHO_N "checking whether linking with $static_standardlib_flag works... $ECHO_C" >&6
    3279     coin_save_LDFLAGS="$LDFLAGS"
    3280     LDFLAGS="$LDFLAGS $static_standardlib_flag"
    3281     cat >conftest.$ac_ext <<_ACEOF
    3282 /* confdefs.h.  */
    3283 _ACEOF
    3284 cat confdefs.h >>conftest.$ac_ext
    3285 cat >>conftest.$ac_ext <<_ACEOF
    3286 /* end confdefs.h.  */
    3287 
    3288 int
    3289 main ()
    3290 {
    3291 int i=0;
    3292   ;
    3293   return 0;
    3294 }
    3295 _ACEOF
    3296 rm -f conftest.$ac_objext conftest$ac_exeext
    3297 if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
    3298   (eval $ac_link) 2>conftest.er1
    3299   ac_status=$?
    3300   grep -v '^ *+' conftest.er1 >conftest.err
    3301   rm -f conftest.er1
    3302   cat conftest.err >&5
    3303   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    3304   (exit $ac_status); } &&
    3305          { ac_try='test -z "$ac_c_werror_flag"
    3306                          || test ! -s conftest.err'
    3307   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    3308   (eval $ac_try) 2>&5
    3309   ac_status=$?
    3310   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    3311   (exit $ac_status); }; } &&
    3312          { ac_try='test -s conftest$ac_exeext'
    3313   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    3314   (eval $ac_try) 2>&5
    3315   ac_status=$?
    3316   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    3317   (exit $ac_status); }; }; then
    3318   echo "$as_me:$LINENO: result: yes" >&5
    3319 echo "${ECHO_T}yes" >&6
    3320 else
    3321   echo "$as_me: failed program was:" >&5
    3322 sed 's/^/| /' conftest.$ac_ext >&5
    3323 
    3324 echo "$as_me:$LINENO: result: no" >&5
    3325 echo "${ECHO_T}no" >&6
    3326        LDFLAGS="$coin_save_LDFLAGS"
    3327        if test $use_static_standardlibs = yes ; then
    3328          { { echo "$as_me:$LINENO: error: failed to link with $static_standardlib_flag" >&5
    3329 echo "$as_me: error: failed to link with $static_standardlib_flag" >&2;}
    3330    { (exit 1); exit 1; }; }
    3331        fi
    3332 
    3333 fi
    3334 rm -f conftest.err conftest.$ac_objext \
    3335       conftest$ac_exeext conftest.$ac_ext
    3336     ;;
    3337   esac
    3338 fi
    3339 
    33403234ac_ext=c
    33413235ac_cpp='$CPP $CPPFLAGS'
     
    33583252  *) coin_f77_comps="xlf_r fort77 gfortran ifort g95 f77 g77 pgf90 pgf77 ifc frt af77" ;;
    33593253 esac
    3360 
    33613254
    33623255
     
    35743467
    35753468# Provide some information about the compiler.
    3576 echo "$as_me:3576:" \
     3469echo "$as_me:3469:" \
    35773470     "checking for Fortran 77 compiler version" >&5
    35783471ac_compiler=`set X $ac_compile; echo $2`
     
    39413834    FFLAGS="$OPT_FFLAGS"
    39423835  fi
    3943 
    39443836else
    39453837  FFLAGS="$FFLAGS $ADD_FFLAGS"
     
    40843976esac
    40853977
    4086 # check whether to add flag for static linking against standard libraries to LDFLAGS
    4087 if test x$use_static_standardlibs != xno ; then
    4088   case $build in
    4089     *-mingw*)
    4090       static_standardlib_flag=-static
    4091       ;;
    4092     *)
    4093       static_standardlib_flag=-static-libgfortran
    4094       ;;
    4095   esac
    4096   case " $LDFLAGS " in
    4097     *" $static_standardlib_flag "* ) ;;
    4098     *)
    4099     echo "$as_me:$LINENO: checking whether linking with $static_standardlib_flag works" >&5
    4100 echo $ECHO_N "checking whether linking with $static_standardlib_flag works... $ECHO_C" >&6
    4101     coin_save_LDFLAGS="$LDFLAGS"
    4102     LDFLAGS="$LDFLAGS $static_standardlib_flag"
    4103     cat >conftest.$ac_ext <<_ACEOF
    4104       program main
    4105       integer i
    4106       end
    4107 _ACEOF
    4108 rm -f conftest.$ac_objext conftest$ac_exeext
    4109 if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
    4110   (eval $ac_link) 2>conftest.er1
    4111   ac_status=$?
    4112   grep -v '^ *+' conftest.er1 >conftest.err
    4113   rm -f conftest.er1
    4114   cat conftest.err >&5
    4115   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    4116   (exit $ac_status); } &&
    4117          { ac_try='test -z "$ac_f77_werror_flag"
    4118                          || test ! -s conftest.err'
    4119   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    4120   (eval $ac_try) 2>&5
    4121   ac_status=$?
    4122   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    4123   (exit $ac_status); }; } &&
    4124          { ac_try='test -s conftest$ac_exeext'
    4125   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    4126   (eval $ac_try) 2>&5
    4127   ac_status=$?
    4128   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    4129   (exit $ac_status); }; }; then
    4130   echo "$as_me:$LINENO: result: yes" >&5
    4131 echo "${ECHO_T}yes" >&6
    4132 else
    4133   echo "$as_me: failed program was:" >&5
    4134 sed 's/^/| /' conftest.$ac_ext >&5
    4135 
    4136 echo "$as_me:$LINENO: result: no" >&5
    4137 echo "${ECHO_T}no" >&6
    4138        LDFLAGS="$coin_save_LDFLAGS"
    4139        if test $use_static_standardlibs = yes ; then
    4140          { { echo "$as_me:$LINENO: error: failed to link with $static_standardlib_flag" >&5
    4141 echo "$as_me: error: failed to link with $static_standardlib_flag" >&2;}
    4142    { (exit 1); exit 1; }; }
    4143        fi
    4144 
    4145 fi
    4146 rm -f conftest.err conftest.$ac_objext \
    4147       conftest$ac_exeext conftest.$ac_ext
    4148     ;;
    4149   esac
    4150 fi
    4151 
    41523978ac_ext=c
    41533979ac_cpp='$CPP $CPPFLAGS'
     
    42124038ac_save_FFLAGS=$FFLAGS
    42134039FFLAGS="$FFLAGS $ac_verb"
    4214 (eval echo $as_me:4214: \"$ac_link\") >&5
     4040(eval echo $as_me:4040: \"$ac_link\") >&5
    42154041ac_f77_v_output=`eval $ac_link 5>&1 2>&1 | grep -v 'Driving:'`
    42164042echo "$ac_f77_v_output" >&5
     
    42904116ac_save_FFLAGS=$FFLAGS
    42914117FFLAGS="$FFLAGS $ac_cv_prog_f77_v"
    4292 (eval echo $as_me:4292: \"$ac_link\") >&5
     4118(eval echo $as_me:4118: \"$ac_link\") >&5
    42934119ac_f77_v_output=`eval $ac_link 5>&1 2>&1 | grep -v 'Driving:'`
    42944120echo "$ac_f77_v_output" >&5
     
    51905016# unfortunately, ${libdir} expands to ${exec_prefix}/lib and ${exec_prefix} to ${prefix}...
    51915017if test "x${prefix}" = xNONE ; then
    5192   COIN_PKG_CONFIG_PATH="${ac_default_prefix}/lib64/pkgconfig:${ac_default_prefix}/lib/pkgconfig:${ac_default_prefix}/share/pkgconfig:${COIN_PKG_CONFIG_PATH}"
    5193 else
    5194   COIN_PKG_CONFIG_PATH="${prefix}/lib64/pkgconfig:${prefix}/lib/pkgconfig:${prefix}/share/pkgconfig:${COIN_PKG_CONFIG_PATH}"
     5018  COIN_PKG_CONFIG_PATH="${ac_default_prefix}/lib/pkgconfig:${ac_default_prefix}/share/pkgconfig:${COIN_PKG_CONFIG_PATH}"
     5019else
     5020  COIN_PKG_CONFIG_PATH="${prefix}/lib/pkgconfig:${prefix}/share/pkgconfig:${COIN_PKG_CONFIG_PATH}"
    51955021fi
    51965022
     
    1029310119*-*-irix6*)
    1029410120  # Find out which ABI we are using.
    10295   echo '#line 10295 "configure"' > conftest.$ac_ext
     10121  echo '#line 10121 "configure"' > conftest.$ac_ext
    1029610122  if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
    1029710123  (eval $ac_compile) 2>&5
     
    1277012596   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1277112597   -e 's:$: $lt_compiler_flag:'`
    12772    (eval echo "\"\$as_me:12772: $lt_compile\"" >&5)
     12598   (eval echo "\"\$as_me:12598: $lt_compile\"" >&5)
    1277312599   (eval "$lt_compile" 2>conftest.err)
    1277412600   ac_status=$?
    1277512601   cat conftest.err >&5
    12776    echo "$as_me:12776: \$? = $ac_status" >&5
     12602   echo "$as_me:12602: \$? = $ac_status" >&5
    1277712603   if (exit $ac_status) && test -s "$ac_outfile"; then
    1277812604     # The compiler can only warn and ignore the option if not recognized
     
    1303812864   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1303912865   -e 's:$: $lt_compiler_flag:'`
    13040    (eval echo "\"\$as_me:13040: $lt_compile\"" >&5)
     12866   (eval echo "\"\$as_me:12866: $lt_compile\"" >&5)
    1304112867   (eval "$lt_compile" 2>conftest.err)
    1304212868   ac_status=$?
    1304312869   cat conftest.err >&5
    13044    echo "$as_me:13044: \$? = $ac_status" >&5
     12870   echo "$as_me:12870: \$? = $ac_status" >&5
    1304512871   if (exit $ac_status) && test -s "$ac_outfile"; then
    1304612872     # The compiler can only warn and ignore the option if not recognized
     
    1314212968   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1314312969   -e 's:$: $lt_compiler_flag:'`
    13144    (eval echo "\"\$as_me:13144: $lt_compile\"" >&5)
     12970   (eval echo "\"\$as_me:12970: $lt_compile\"" >&5)
    1314512971   (eval "$lt_compile" 2>out/conftest.err)
    1314612972   ac_status=$?
    1314712973   cat out/conftest.err >&5
    13148    echo "$as_me:13148: \$? = $ac_status" >&5
     12974   echo "$as_me:12974: \$? = $ac_status" >&5
    1314912975   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1315012976   then
     
    1555915385  lt_status=$lt_dlunknown
    1556015386  cat > conftest.$ac_ext <<EOF
    15561 #line 15561 "configure"
     15387#line 15387 "configure"
    1556215388#include "confdefs.h"
    1556315389
     
    1565915485  lt_status=$lt_dlunknown
    1566015486  cat > conftest.$ac_ext <<EOF
    15661 #line 15661 "configure"
     15487#line 15487 "configure"
    1566215488#include "confdefs.h"
    1566315489
     
    1801917845   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1802017846   -e 's:$: $lt_compiler_flag:'`
    18021    (eval echo "\"\$as_me:18021: $lt_compile\"" >&5)
     17847   (eval echo "\"\$as_me:17847: $lt_compile\"" >&5)
    1802217848   (eval "$lt_compile" 2>conftest.err)
    1802317849   ac_status=$?
    1802417850   cat conftest.err >&5
    18025    echo "$as_me:18025: \$? = $ac_status" >&5
     17851   echo "$as_me:17851: \$? = $ac_status" >&5
    1802617852   if (exit $ac_status) && test -s "$ac_outfile"; then
    1802717853     # The compiler can only warn and ignore the option if not recognized
     
    1812317949   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1812417950   -e 's:$: $lt_compiler_flag:'`
    18125    (eval echo "\"\$as_me:18125: $lt_compile\"" >&5)
     17951   (eval echo "\"\$as_me:17951: $lt_compile\"" >&5)
    1812617952   (eval "$lt_compile" 2>out/conftest.err)
    1812717953   ac_status=$?
    1812817954   cat out/conftest.err >&5
    18129    echo "$as_me:18129: \$? = $ac_status" >&5
     17955   echo "$as_me:17955: \$? = $ac_status" >&5
    1813017956   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1813117957   then
     
    1969319519   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1969419520   -e 's:$: $lt_compiler_flag:'`
    19695    (eval echo "\"\$as_me:19695: $lt_compile\"" >&5)
     19521   (eval echo "\"\$as_me:19521: $lt_compile\"" >&5)
    1969619522   (eval "$lt_compile" 2>conftest.err)
    1969719523   ac_status=$?
    1969819524   cat conftest.err >&5
    19699    echo "$as_me:19699: \$? = $ac_status" >&5
     19525   echo "$as_me:19525: \$? = $ac_status" >&5
    1970019526   if (exit $ac_status) && test -s "$ac_outfile"; then
    1970119527     # The compiler can only warn and ignore the option if not recognized
     
    1979719623   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1979819624   -e 's:$: $lt_compiler_flag:'`
    19799    (eval echo "\"\$as_me:19799: $lt_compile\"" >&5)
     19625   (eval echo "\"\$as_me:19625: $lt_compile\"" >&5)
    1980019626   (eval "$lt_compile" 2>out/conftest.err)
    1980119627   ac_status=$?
    1980219628   cat out/conftest.err >&5
    19803    echo "$as_me:19803: \$? = $ac_status" >&5
     19629   echo "$as_me:19629: \$? = $ac_status" >&5
    1980419630   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1980519631   then
     
    2200421830   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    2200521831   -e 's:$: $lt_compiler_flag:'`
    22006    (eval echo "\"\$as_me:22006: $lt_compile\"" >&5)
     21832   (eval echo "\"\$as_me:21832: $lt_compile\"" >&5)
    2200721833   (eval "$lt_compile" 2>conftest.err)
    2200821834   ac_status=$?
    2200921835   cat conftest.err >&5
    22010    echo "$as_me:22010: \$? = $ac_status" >&5
     21836   echo "$as_me:21836: \$? = $ac_status" >&5
    2201121837   if (exit $ac_status) && test -s "$ac_outfile"; then
    2201221838     # The compiler can only warn and ignore the option if not recognized
     
    2227222098   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    2227322099   -e 's:$: $lt_compiler_flag:'`
    22274    (eval echo "\"\$as_me:22274: $lt_compile\"" >&5)
     22100   (eval echo "\"\$as_me:22100: $lt_compile\"" >&5)
    2227522101   (eval "$lt_compile" 2>conftest.err)
    2227622102   ac_status=$?
    2227722103   cat conftest.err >&5
    22278    echo "$as_me:22278: \$? = $ac_status" >&5
     22104   echo "$as_me:22104: \$? = $ac_status" >&5
    2227922105   if (exit $ac_status) && test -s "$ac_outfile"; then
    2228022106     # The compiler can only warn and ignore the option if not recognized
     
    2237622202   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    2237722203   -e 's:$: $lt_compiler_flag:'`
    22378    (eval echo "\"\$as_me:22378: $lt_compile\"" >&5)
     22204   (eval echo "\"\$as_me:22204: $lt_compile\"" >&5)
    2237922205   (eval "$lt_compile" 2>out/conftest.err)
    2238022206   ac_status=$?
    2238122207   cat out/conftest.err >&5
    22382    echo "$as_me:22382: \$? = $ac_status" >&5
     22208   echo "$as_me:22208: \$? = $ac_status" >&5
    2238322209   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    2238422210   then
Note: See TracChangeset for help on using the changeset viewer.